hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bochun Bai (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-4180) HBase should check the isSecurityEnabled flag
Date Tue, 09 Aug 2011 04:18:27 GMT

    [ https://issues.apache.org/jira/browse/HBASE-4180?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13081422#comment-13081422
] 

Bochun Bai commented on HBASE-4180:
-----------------------------------

@stack, It is cleared, Thanks!
0.21 is still not a stable version in Hadoop so it is reasonable not supporting it for hbase.
I will close this with "won't fix" later.
Would you please kindly give me some hits finding out "HBase does not run on raw (non-secure)
0.21. It needs a few small patches to do so"? How can I find these small patches?

> HBase should check the isSecurityEnabled flag
> ---------------------------------------------
>
>                 Key: HBASE-4180
>                 URL: https://issues.apache.org/jira/browse/HBASE-4180
>             Project: HBase
>          Issue Type: Bug
>          Components: security
>            Reporter: Bochun Bai
>            Assignee: Bochun Bai
>         Attachments: HBASE-4180.patch
>
>
> Hadoop 0.21.0's UserGroupInfomation support the security check flag and always returns
false.
> HBase should check both the method existence and the return value.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message